Package org.h2gis.functions.io.tsv

# Class TSVWrite

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.io.tsv.TSVWrite

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class TSVWrite extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
Write a Tab-separated values file

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`TSVWrite()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`exportTable(Connection connection, String fileName, String tableReference)`
Export a table into a Tab-separated values file
`static void`
`exportTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteFile)`
`static void`
`exportTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option)`
Read a table and write it into a tsv file.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### TSVWrite

public TSVWrite()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### exportTable

public static void exportTable(Connection connection, String fileName, String tableReference) throws SQLException, IOException
Export a table into a Tab-separated values file

Parameters:
  `connection` -
  `fileName` -
  `tableReference` -
Throws:
  `SQLException`
  `IOException`

### exportTable

public static void exportTable(Connection connection, String fileName, String tableReference, org.h2.value.Value option) throws IOException, SQLException
Read a table and write it into a tsv file.

Parameters:
  `connection` - Active connection
  `fileName` - Shape file name or URI
  `tableReference` - Table name or select query Note : The select query must be enclosed in parenthesis
  `option` - Could be string file encoding charset or boolean value to delete the existing file
Throws:
  `IOException`
  `SQLException`

### exportTable

public static void exportTable(Connection connection, String fileName, String tableReference, String encoding, boolean deleteFile) throws SQLException, IOException

Parameters:
  `connection` -
  `fileName` -
  `tableReference` -
  `encoding` -
Throws:
  `SQLException`
  `IOException`